# B15F: ViewInfo Class Reference

ViewInfo Class Reference

`#include <view_info.h>`

Inheritance diagram for ViewInfo:

## Public Member Functions

virtual void | setText (std::string text)
virtual void | setLabelClose (std::string label)
virtual void | setCall (call_t call)
virtual void | draw (void) override
virtual call_t | keypress (int &key) override
Public Member Functions inherited from View
virtual void | setTitle (std::string title)
virtual void | repaint (void)

## Protected Attributes

std::string | text
std::string | label_close
int | close_offset_x = 0
int | close_offset_y = 0
Protected Attributes inherited from View
int | width
int | height
int | start_x = 0
int | start_y = 0
std::string | title
std::vector< call_t > | calls

## Static Protected Attributes

constexpr static int | text_offset_x = 2
constexpr static int | text_offset_y = 3
Static Protected Attributes inherited from View
static WINDOW * | win = nullptr
constexpr static int | KEY_ENT = 10

## Additional Inherited Members

Static Public Member Functions inherited from View
static void | setWinContext (WINDOW *win)
static WINDOW * | getWinContext (void)
static std::vector< std::string > | str_split (const std::string &str, const std::string delim)

## Detailed Description

View for simple text message output.

Definition at line 8 of file view_info.h.

The documentation for this class was generated from the following files:

- ui/view_info.h
- ui/view_info.cpp